import globalPluginHandler
import versionInfo
import gui
from wx import ID_ANY, EVT_MENU

def toggleTestVersion(evt):
	versionInfo.isTestVersion = not versionInfo.isTestVersion
	

class GlobalPlugin(globalPluginHandler.GlobalPlugin):
	def __init__(self):
		super(globalPluginHandler.GlobalPlugin, self).__init__()
		if versionInfo.isTestVersion:
			from logHandler import log
			log.debug("hi")
			item = gui.mainFrame.sysTrayIcon.menu.AppendCheckItem(ID_ANY, "&Disable DebugSound")
			gui.mainFrame.sysTrayIcon.menu.Bind(EVT_MENU, toggleTestVersion, item)